/usr/bin/fetch-eclipse-source is in javahelper 0.45ubuntu1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 | #!/bin/bash
set -e
# This file has been obtained from:
# http://cvs.fedoraproject.org/viewvc/rpms/eclipse-emf/devel/
#
# The author list below is not from the original file, but has been
# written based on the CVS commit log (in case the CVS should some day
# be unavailable).
#
# Written by: 2009, Mat Booth <fedora@matbooth.co.uk>
# Modified by: 2009, Alexander Kurtakov <akurtako@redhat.com>
#
# uscan will run this script like
# fetch-eclipse-source --upstream-version <version> <directory.txt file>
# This script requires that these package are installed: cvs, gawk, tofrodos
VERSION=$2
DIRECTORY_TXT=$3
if ! which cvs > /dev/null 2>&1; then
echo "$0: Cannot find cvs. Please install the cvs package." >&2
exit 1
fi
if ! which gawk > /dev/null 2>&1; then
echo "$0: Cannot find gawk. Please install the gawk package." >&2
exit 1
fi
if ! which fromdos > /dev/null 2>&1; then
echo "$0: Cannot find fromdos. Please install the tofrodos package." >&2
exit 1
fi
if test ! -f debian/control; then
echo "$0: Could not find debian/control." >&2
exit 1
fi
NAME=$(grep "Source:" debian/control | sed "s/^Source: //")
MAPFILE=$NAME.map
TEMPMAPFILE=temp.map
echo "Exporting from CVS..."
rm -rf ${NAME}-$VERSION
mkdir ${NAME}-$VERSION
mv $DIRECTORY_TXT ${NAME}-$VERSION/$MAPFILE
pushd ${NAME}-$VERSION >/dev/null
fromdos $MAPFILE
grep ^[a-z] $MAPFILE > $TEMPMAPFILE
gawk 'BEGIN {
FS=","
}
{
if (NF < 4) {
split($1, version, "=");
split(version[1], directory, "@");
cvsdir=split($2, dirName, ":");
printf("cvs -d %s%s %s %s %s %s %s\n", ":pserver:anonymous@dev.eclipse.org:", dirName[cvsdir], "-q export -r", version[2], "-d", directory[2], directory[2]) | "/bin/bash";
}
else {
split($1, version, "=");
total=split($4, directory, "/");
cvsdir=split($2, dirName, ":");
printf("cvs -d %s%s %s %s %s %s %s\n", ":pserver:anonymous@dev.eclipse.org:", dirName[cvsdir], "-q export -r", version[2], "-d", directory[total], $4) | "/bin/bash";
}
}' $TEMPMAPFILE
rm $TEMPMAPFILE $MAPFILE
popd >/dev/null
echo "Remove prebuilt binaries and jars..."
find $NAME-$VERSION \( -name '*.exe' -o -name '*.dll' \) -delete
find $NAME-$VERSION \( -name '*.so' -o -name '*.so.2' \) -delete
find $NAME-$VERSION -name '*.jar' -delete
echo "Remove empty directories..."
find $NAME-$VERSION -depth -type d -empty -delete
echo "Creating tarball '../${NAME}_$VERSION$DEBV.orig.tar.bz2'..."
if test -f debian/fetch-eclipse-source.exclude; then
tar -acf ../${NAME}_$VERSION$DEBV.orig.tar.bz2 ${NAME}-$VERSION -X debian/fetch-eclipse-source.exclude
else
tar -acf ../${NAME}_$VERSION$DEBV.orig.tar.bz2 ${NAME}-$VERSION
fi
rm -rf ${NAME}-$VERSION
|